Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xpath
Class DataProviderAssociation

    java.lang.Object
      |
      +--org.apache.xalan.xpath.DataProviderAssociation

public class DataProviderAssociation
extends java.lang.Object

**For internal use only** Key to XLocator association class.

Field Summary
`java.lang.Object` | `m_key` **For internal use only**
`XLocator` | `m_locator` **For internal use only**

Constructor Summary
`DataProviderAssociation(java.lang.Object key, XLocator locator)` **For internal use only**

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_key

    public java.lang.Object m_key

### m_locator

    public XLocator m_locator

Constructor Detail

### DataProviderAssociation

    public DataProviderAssociation(java.lang.Object key,
                                   XLocator locator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.